#!/usr/bin/env python

# Copyright 2014 Louis Paternault
#
# This file is part of srsync.
#
# Srsync is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Srsync is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero Public License for more details.
#
# You should have received a copy of the GNU Affero Public License
# along with srsync.  If not, see <http://www.gnu.org/licenses/>.

"""Main function for srsync"""

from srsync.command import cmd_line_parser

def main():
    """Main function"""
    arguments = cmd_line_parser().parse_args()
    arguments.func(arguments)
